summaryrefslogtreecommitdiffstats
path: root/source/n/tcpdump/tcpdump.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/tcpdump/tcpdump.SlackBuild')
-rwxr-xr-xsource/n/tcpdump/tcpdump.SlackBuild24
1 files changed, 17 insertions, 7 deletions
diff --git a/source/n/tcpdump/tcpdump.SlackBuild b/source/n/tcpdump/tcpdump.SlackBuild
index 78cfae889..5ef1bf727 100755
--- a/source/n/tcpdump/tcpdump.SlackBuild
+++ b/source/n/tcpdump/tcpdump.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=tcpdump
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "x86_64" ]; then
@@ -42,7 +52,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-tcpdump
@@ -55,7 +64,7 @@ rm -rf tcpdump-$VERSION
# To (try to) avoid weird errors, take an axe to this:
rm -rf $TMP/libpcap-?.?.?
-tar xvf $CWD/tcpdump-$VERSION.tar.gz || exit 1
+tar xvf $CWD/tcpdump-$VERSION.tar.xz || exit 1
cd tcpdump-$VERSION || exit 1
find . -type d -name CVS -depth -exec rm -rf {} \;
chown -R root:root .
@@ -71,7 +80,8 @@ find . \
--mandir=/usr/man \
--docdir=/usr/doc/tcpdump-$VERSION \
--enable-ipv6 \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
+
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1